$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://www.burnaware.com/downloads/burnaware_premium_14.6.exe"
$url64      = "https://www.burnaware.com/downloads/burnaware_premium_14.6_x64.exe"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = $toolsDir
  fileType       = 'EXE' 
  url            = $url
  url64bit       = $url64

  softwareName   = 'BurnAware Premium*'

  checksum       = 'A9B558A5E65424AD43B6CCCB4A93620EC9E53E624916139B9AF1AC087674D493'
  checksumType   = 'sha256'
  checksum64     = '4399794099875F10CB2FB7D9DFFFD810C45D49E4B8FAC150B5B9914FBD63E218'
  checksumType64 = 'sha256'

  silentArgs     = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes = @(0)

}

Install-ChocolateyPackage @packageArgs
